module Main

where
import Data.Char

import qualified Data.Set as S

import RadixTree3

import Zitate

scanText	:: String -> [String]
scanText	= words . map ( \ c -> if isAlphaNum c then c else ' ')

insDoc		:: (Int, String) -> Table -> Table
insDoc (i, s) tab
    = foldr (\ w t -> insert w (S.single i) t) tab $ wl
    where
    wl = scanText s

zitateTabelle	:: Table
zitateTabelle
    = foldr insDoc emptyTable zitate

alleWoerter	:: String -> IO()
alleWoerter prefix
    = sequence_ . (map putStrLn)
      $
      map (prefix ++ ) . keys . searchPrefix prefix
      $
      zitateTabelle
